Name:           python-eve
Version:        0.8.1
Release:        1%{?dist}
Summary:        Python REST API for Humans

License:        BSD
URL:            http://python-eve.org
Source0:        https://files.pythonhosted.org/packages/source/E/Eve/Eve-%{version}.tar.gz

BuildArch:      noarch


%description
Eve is an open source Python REST API framework designed for human beings. It
allows to effortlessly build and deploy highly customizable, fully featured
RESTful Web Services. Eve offers native support for MongoDB, and SQL backends
via community extensions.


%package -n python3-eve
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-cerberus
BuildRequires:  python3-events
BuildRequires:  python3-flask
BuildRequires:  python3-pymongo
BuildRequires:  python3-simplejson
Requires:       python3-cerberus
Requires:       python3-events
Requires:       python3-flask
Requires:       python3-pymongo
Requires:       python3-simplejson
%{?python_provide:%python_provide python3-eve}


%description -n python3-eve
Eve is an open source Python REST API framework designed for human beings. It
allows to effortlessly build and deploy highly customizable, fully featured
RESTful Web Services. Eve offers native support for MongoDB, and SQL backends
via community extensions.


%prep
%autosetup -n Eve-%{version}


%build
%py3_build


%install
%py3_install


%check
# %{__python3} setup.py test


%files -n python3-eve
%license LICENSE
%{python3_sitelib}/*


%changelog
* Fri Jan 18 2019 Emanuele Di Giacomo <emanuele@digiacomo.cc> - 0.8.1-1
- First package
